Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162487 - g++: Internal error: Killed (program cc1plus) when i try to make kdeui as part of PyKDE snapshot at 20050628
Summary: g++: Internal error: Killed (program cc1plus) when i try to make kdeui as pa...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 14:49 UTC by Viktor Manyushin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-18 09:46:01 UTC


Attachments (Terms of Use)

Description Viktor Manyushin 2005-07-05 14:49:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.1 (like Gecko)

Description of problem:
[sysop@ts-linux kdeui]$ make 
g++ -c -Wno-deprecated-declarations -pipe -fPIC -g -pipe -Wp,-D_FORTIFY_SOURCE=2 
-fexceptions -m32 -march=i386 -fasynchronous-unwind-tables -Wall -W -D_REENTRANT 
-DQT_NO_DEBUG -DQT_THREAD_SUPPORT -I. -I../extra/kde340 -I/usr/include/kde 
-I/usr/include/python2.4 -I/usr/lib/qt-3.3/include -I/usr/X11R6/include -o sipkdeuipart1.o 
sipkdeuipart1.cpp 
/usr/include/kde/keditlistbox.h:59: warning: âclass KEditListBox::CustomEditorâ has virtual 
functions but non-virtual destructor 
/usr/lib/qt-3.3/include/qtooltip.h:86: warning: âclass QToolTipâ has virtual functions but non-virtual 
destructor 
g++: Internal error: Killed (program cc1plus) 
Please submit a full bug report. 
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions. 
make: *** [sipkdeuipart1.o] Error 1 
 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run make into PyKDE-snapshot20050628/kdeui 
2. 
3. 
   

Additional info:

Comment 1 Jakub Jelinek 2005-07-05 21:26:54 UTC
That means either that you or the kernel killed the compiler.
That does not mean there is a compiler bug.
A compiler bug would be if on reasonably large source the compiler ate
excessive amount of memory and OOM killer killed it.
So the question is: 1) how much physical memory and swap do you have
2) run that command again and watch in top how much memory it is using


Comment 2 Jakub Jelinek 2005-08-18 09:46:01 UTC
No feedback has been provided.


Note You need to log in before you can comment on or make changes to this bug.